Package wx :: Module aui :: Class AuiTabArt

[frames | no frames]

## Type AuiTabArt

    object --+
             |
            AuiTabArt

Known Subclasses:
  `AuiDefaultTabArt`, `AuiSimpleTabArt`

Proxy of C++ AuiTabArt class

Method Summary
| `__init__(self)`
| `__del__(self)`
AuiTabArt | `Clone(self)`
| `DrawBackground(self, dc, wnd, rect)`
| `DrawButton(self, dc, wnd, in_rect, bitmap_id, button_state, orientation, out_rect)`
| `DrawTab(self, dc, wnd, pane, in_rect, close_button_state, out_tab_rect, out_button_rect, x_extent)`
int | `GetBestTabCtrlSize(self, wnd, pages, required_bmp_size)`
int | `GetIndentSize(self)`
Size | `GetTabSize(self, dc, wnd, caption, bitmap, active, close_button_state, x_extent)`
| `SetFlags(self, flags)`
| `SetMeasuringFont(self, font)`
| `SetNormalFont(self, font)`
| `SetSelectedFont(self, font)`
| `SetSizingInfo(self, tab_ctrl_size, tab_count)`
int | `ShowDropDown(self, wnd, items, active_idx)`

Property Summary
| `thisown`: The membership flag

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1216189836(...)
  Set Method:
    unknown--1216189780(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:02 2007 | http://epydoc.sf.net